package com.tuoheng.admin.entity.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.tuoheng.common.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 物资对象 th_goods
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-02-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_goods")
public class Goods extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 仓库ID
     */
    private Integer warehouseId;

    /**
     * 物资名称
     */
    private String goodsName;

    /**
     * 物资类型 1个人防护装备 2搜救装备 3医疗及防疫设备及常用应急药品 4应急照明设备 5灭火处置设备
     */
    private Integer goodsType;

    /**
     * 物资库存
     */
    private String goodsStock;

    /**
     * 物资作用
     */
    private String goodsAction;

    @TableField(exist = false)
    private String updateUserName;

}
