package com.tuoheng.admin.entity.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tuoheng.common.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 巡检问题处理结果映射实体
 *
 * @author WangHaoran
 * @date 2022/12/27
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_question_handle")
public class QuestionHandle extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 租户id
     */
    private Integer tenantId;

    /**
     * 巡检问题文件ID
     */
    private Integer questionId;

    /**
     * 处理人
     */
    private Integer handlerUser;

    /**
     * 处理后图片(多个图片逗号“,”分隔)
     */
    private String handlerImage;

    /**
     * 处理结果
     */
    private String handlerResult;

    /**
     * 处理时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date handlerTime;

    /**
     * 处理状态：0待处理 1已处理
     */
    @TableField(exist = false)
    private Integer status;

    /**
     * 处理人名称
     */
    @TableField(exist = false)
    private String handlerUserName;
}
