package com.tuoheng.admin.entity.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tuoheng.common.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 预警对象 th_warning
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-02-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_warning")
public class Warning extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 任务ID
     */
    private Integer missionId;

    /**
     * 发现方式 1监控摄像 2无人机巡检 3人工巡检
     */
    private Integer discoveryWay;

    /**
     * 火灾位置名称
     */
    private String location;

    /**
     * 预警状态 1待确认 2确认 3忽略
     */
    private Integer status;

    /**
     * 问题ID
     */
    private Integer questionId;

    /**
     * 处理人
     */
    private Integer checkUser;

    /**
     * 处理时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date checkTime;

    /**
     * 处理结果
     */
    private String checkResult;

    /**
     * 消息读取标识 0:未读 1已读
     */
    private Integer messageRead;

    /**
     * 对应任务的应急类型: 0:巡检任务应急记录 1：应急任务应急记录
     */
    private Integer flag;
}
