package com.tuoheng.admin.entity.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tuoheng.common.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 巡检问题工单映射实体
 *
 * @author WangHaoran
 * @date 2022/12/27
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_work_order")
public class WorkOrder extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 问题工单号
     */
    private String code;

    /**
     * 工单状态：5待分配 10处理中（已分配） 15已完成
     */
    private Integer status;

    /**
     * 指派负责人，多个用，隔开
     */
    private String assignUser;

    /**
     * 指派备注
     */
    private String assignNote;

    /**
     * 租户id
     */
    private Integer tenantId;

    /**
     * 指派时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date assignTime;

    /**
     * 完成时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date finishTime;

    /**
     * 问题总数
     */
    @TableField(exist = false)
    private Integer questionTotal;

    /**
     * 未处理问题数
     */
    @TableField(exist = false)
    private Integer unhandledTotal;

    /**
     * 指派负责人名称
     */
    @TableField(exist = false)
    private String assignUserName;

}
