package com.tuoheng.admin.entity.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * Ai分析结果
 * @author chenyukun
 */
@Getter
@Setter
@Accessors(chain = true)
public class AiAnalysisResult implements Serializable {

    /**
     * 原图地址或原视频地址
     */
    @JsonProperty("original_url")
    private String originalUrl;

    /**
     * Ai分析图片地址或视频地址
     */
    @JsonProperty("sign_url")
    private String signUrl;

    /**
     * 分类标识
     */
    @JsonProperty("category_id")
    private String categoryId;

    /**
     * 问题描述
     */
    private String description;

    /**
     * 时间戳
     */
    private String time;
}
