package com.tuoheng.admin.entity.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
/**
 * @User qiujinyang
 * @Description
 * @Date Created by 2022/7/28 9:51
 */
@Data
public class InspectionRequest implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "巡检的ID，跟硬件对接的时候，硬件的巡检ID")
    @NotNull(message = "巡检任务ID不能为空！")
    private String requestId;

    @ApiModelProperty(value = "巡检的ID，跟硬件对接的时候，硬件的巡检ID")
    @NotNull(message = "巡检的ID不能为空！")
    private Integer inspectionId;

    @ApiModelProperty(value = "飞行高度")
    @NotNull(message = "飞行高度不能为空！")
    private String altitude;

    @ApiModelProperty(value = "经度")
    @NotNull(message = "经度不能为空！")
    private String lng;

    @ApiModelProperty(value = "纬度")
    @NotNull(message = "纬度不能为空！")
    private String lat;

    @ApiModelProperty(value = "地面基站")
    @NotNull(message = "地面基站不能为空！")
    private String hostIp;

    @ApiModelProperty(value = "飞行时间")
    @NotNull(message = "飞行时间不能为空！")
    private Long flyTime;

    @ApiModelProperty(value = "水平速度")
    private String hspeed;

    @ApiModelProperty(value = "垂直速度")
    private String vspeed;

    @ApiModelProperty(value = "遥测信号")
    private String ysingal;

    @ApiModelProperty(value = "飞行模式")
    private String mode;
}
