package com.tuoheng.admin.entity.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tuoheng.common.common.BaseQuery;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 巡检问题查询
 *
 * @author qiujinyang
 * @since 2022-08-03
 */
@Data
public class QuestionQuery extends BaseQuery implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "任务Id")
    private Integer missionId;

    @ApiModelProperty(value = "问题状态")
    private Integer status;

    @ApiModelProperty(value = "项目类型：病虫树、林斑、人员活动、火灾隐患")
    private String type;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "开始时间")
    private String startTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "结束时间")
    private String endTime;

    @ApiModelProperty(value = "任务名称")
    private String name;

    @ApiModelProperty(value = "任务名称")
    private String missionName;

}
