package com.tuoheng.admin.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tuoheng.admin.entity.domain.Question;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 巡检任务 新增或修改请求参数 2022/7/27
 * @author : qiujinyang
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class QuestionVO {

    private static final long serialVersionUID = 1L;

    /**
     * 工单生成状态
     */
    private Integer wordOrderStatus;

    /**
     * 工单处理状态
     */
    private Integer handleStatus;

    /**
     * 任务ID
     */
    private Integer missionId;

    /**
     * 任务名称
     */
    private String missionName;

    /**
     * 问题类型:病死树、林斑
     */
    private String type;

    /**
     * 问题类型名称
     */
    private String questionName;

    /**
     * 问题描述
     */
    private String questionDesc;

    /**
     * 图片分析时间，可以通过这个时间来计算出坐标位置
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date analyseTime;

    /**
     * 文件编码
     */
    private String fileCode;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 原图片位置
     */
    private String fileOriginalUrl;

    /**
     * 分析后的图片位置
     */
    private String fileMarkerUrl;

    /**
     * 经度
     */
    private String lng;

    /**
     * 纬度
     */
    private String lat;

    /**
     * 备注
     */
    private String note;

    /**
     * 问题状态：1：确认，2：忽略，3：待确认
     */
    private Integer status;


    /**
     * 租户id
     */
    private Integer tenantId;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 添加人
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 更新人
     */
    private Integer updateUser;

    /**
     * 更新时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    /**
     * 有效标识
     */
    private Integer mark;
}
