package com.tuoheng.admin.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class WorkOrderInfoVO {

    /**
     * 问题工单号
     */
    private String code;

    /**
     * 工单状态：5待分配 10处理中（已分配） 15已完成
     */
    private Integer status;

    /**
     * 指派负责人，多个用，隔开
     */
    private String assignUser;

    /**
     * 指派备注
     */
    private String assignNote;

    /**
     * 指派时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date assignTime;

    /**
     * 完成时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date finishTime;

    /**
     * 问题总数
     */
    private Integer questionTotal;

    /**
     * 未处理问题数
     */
    private Integer unhandledTotal;

    /**
     * 指派负责人名称
     */
    private String assignUserName;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
}
