package com.tuoheng.admin.entity.vo.warning;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tuoheng.common.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 返回预警列表视图Vo
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-02-07
 */
@Data
public class WarningListVo extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 任务ID
     */
    private Integer missionId;

    /**
     * 发现方式 1监控摄像 2无人机巡检 3人工巡检
     */
    private String discoveryWay;

    /**
     * 火灾位置名称
     */
    private String location;

    /**
     * 预警状态 1待确认 2确认 3忽略
     */
    private String status;

    /**
     * 问题ID
     */
    private Integer questionId;

    /**
     * 处理人
     */
    private Integer checkUser;

    /**
     * 处理时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date checkTime;

    /**
     * 处理结果
     */
    private String checkResult;

    /**
     * 经度
     */
    private String lng;

    /**
     * 纬度
     */
    private String lat;

    /**
     * 巡检机场
     */
    private Integer airportId;

    /**
     * 巡检线路
     */
    private Integer inspectionLine;

    /**
     *  巡检机场名称
     */
    private String airportName;

    /**
     *  巡检线路名称
     */
    private String inspectionLineName;

}
