package com.tuoheng.admin.entity.vo.warning;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tuoheng.common.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 预警对象 th_warning
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-02-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class WarningVo extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 任务ID
     */
    private Integer missionId;

    /**
     * 发现方式 1监控摄像 2无人机巡检 3人工巡检
     */
    private Integer discoveryWay;

    /**
     * 火灾位置名称
     */
    private String location;

    /**
     * 预警状态 1待确认 2确认 3忽略
     */
    private Integer status;

    /**
     * 问题ID
     */
    private Integer questionId;

    /**
     * 处理人
     */
    private Integer checkUser;

    /**
     * 处理时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date checkTime;

    /**
     * 处理结果
     */
    private String checkResult;

    /**
     * 消息读取标识 0:未读 1已读
     */
    private Integer messageRead;

    /**
     * 巡检机场
     */
    private Integer airportId;

    /**
     *  巡检机场名称
     */
    private String airportName;

    /**
     * 巡检线路
     */
    private Integer inspectionLine;

    /**
     *  巡检线路名称
     */
    private String inspectionLineName;


    /**
     * 问题类型
     */
    private String questionType;


    /**
     * 问题类型名称
     */
    private String questionName;

    /**
     * 问题描述
     */
    private String questionDesc;

    /**
     * 文件编码
     */
    private String fileCode;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 原图片位置
     */
    private String fileOriginalUrl;

    /**
     * 分析后的图片位置
     */
    private String fileMarkerUrl;

    /**
     * 经度
     */
    private String lng;

    /**
     * 纬度
     */
    private String lat;

}
