package com.tuoheng.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tuoheng.admin.entity.domain.Camera;
import com.tuoheng.admin.entity.request.camera.QueryCameraListRequest;

import java.util.List;

/**
 * 摄像头Mapper接口
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-02-06
 */
public interface CameraMapper extends BaseMapper<Camera> {

    /**
     * 查询摄像头列表
     *
     * @param request 摄像头
     * @return 摄像头集合
     */
    List<Camera> selectList(QueryCameraListRequest request);

    /**
     * 查询摄像头
     *
     * @param id 摄像头主键
     * @return 摄像头
     */
    Camera selectOneById(String id);

}
