package com.tuoheng.admin.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tuoheng.admin.entity.domain.Warehouse;
import com.tuoheng.admin.entity.request.warehouse.QueryWarehousePageListRequest;
import org.apache.ibatis.annotations.Param;

/**
 * 仓库Mapper接口
 *
 * @team tuoheng
 * @author wanjing
 * @date 2023-02-06
 */
public interface WarehouseMapper extends BaseMapper<Warehouse> {

    /**
     * 查询仓库分页列表
     *
     * @param request 仓库
     * @return 仓库集合
     */
    Page<Warehouse> selectPageList(@Param("page") IPage page, @Param("request") QueryWarehousePageListRequest request);

    /**
     * 查询仓库
     *
     * @param id 仓库主键
     * @return 仓库
     */
    Warehouse getOneById(Integer id);
}
