package com.tuoheng.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tuoheng.admin.entity.domain.Warning;
import com.tuoheng.admin.entity.request.warning.QueryWarningListRequest;

import java.util.List;
import java.util.Map;

/**
 * 预警Mapper接口
 *
 * @team tuoheng
 * @author wanjing
 * @date 2023-02-06
 */
public interface WarningMapper extends BaseMapper<Warning> {

    /**
     * 查询预警列表
     * 
     * @param thWarning 预警
     * @return 预警集合
     */
    List<Warning> getList(QueryWarningListRequest thWarning);

    /**
     * 查询预警
     *
     * @param id 预警主键
     * @return 预警
     */
    Warning getOneById(Integer id);

    /**
     * 确认
     *
     * @param map
     * @return
     */
    int confirm(Map<String, Object> map);

    /**
     * 忽略
     *
     * @param map
     * @return
     */
    int ignore(Map<String, Object> map);
}
