package com.tuoheng.admin.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.tuoheng.admin.entity.domain.Tenant;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tuoheng.admin.entity.dto.TenantDto;
import com.tuoheng.admin.entity.request.TenantQuery;
import com.tuoheng.common.common.IBaseService;

/**
 * <p>
 * 企业管理表 服务类
 * </p>
 *
 * @author 拓恒
 * @since 2022-07-15
 */
public interface ITenantService extends IBaseService<Tenant> {

    /**
     * 获取租户分页列表
     *
     * @param tenantQuery 查询条件
     * @return
     */
    IPage<Tenant> getTenantList(TenantQuery tenantQuery);

    /**
     * 添加租户
     *
     * @param tenantDto 实体对象
     * @return
     */
    boolean addTenant(TenantDto tenantDto);

    /**
     * 更新租户
     *
     * @param tenantDto 实体对象
     * @return
     */
    boolean editTenant(TenantDto tenantDto);


}
