package com.tuoheng.admin.service.goods;

import com.tuoheng.admin.entity.domain.Goods;
import com.tuoheng.admin.entity.request.goods.QueryGoodsListByWarehouseIdRequest;
import com.tuoheng.common.common.IBaseService;
import com.tuoheng.common.utils.JsonResult;

/**
 * 物资Service接口
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-02-06
 */
public interface IGoodsService extends IBaseService<Goods> {


    /**
     * 根据仓库Id查询物资列表
     *
     * @param request 查询物资列表实体
     * @return 摄像头集合
     */
    JsonResult getListByWarehouseId(QueryGoodsListByWarehouseIdRequest request);

    /**
     * 查询物资
     *
     * @param id 物资主键
     * @return 物资
     */
    JsonResult getOnesById(String id);

    /**
     * 新增或编辑物资
     *
     * @param entity
     * @return
     */
    JsonResult editInfo(Goods entity);
}
