package com.tuoheng.admin.service.warehouse;

import com.tuoheng.admin.entity.domain.Warehouse;
import com.tuoheng.admin.entity.request.warehouse.QueryWarehouseListRequest;
import com.tuoheng.admin.entity.request.warehouse.QueryWarehousePageListRequest;
import com.tuoheng.common.common.IBaseService;
import com.tuoheng.common.utils.JsonResult;

/**
 * 仓库Service接口
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-02-06
 */
public interface IWarehouseService extends IBaseService<Warehouse> {

    /**
     * 查询仓库列表
     *
     * @param request 仓库
     * @return 仓库集合
     */
    JsonResult getList(QueryWarehouseListRequest request);

    /**
     * 查询仓库分页列表
     *
     * @param request 仓库
     * @return 仓库集合
     */
    JsonResult getPageList(QueryWarehousePageListRequest request);

    /**
     * 查询仓库
     *
     * @param id 仓库主键
     * @return 仓库
     */
    JsonResult getOneById(Integer id);

    /**
     * 新增或编辑仓库
     *
     * @param entity
     * @return
     */
    JsonResult editInfo(Warehouse entity);
}
