package com.tuoheng.common.constant;

/**
 * 常量类
 *
 * @author: zhu_zishuang
 * @date: 2020-04-22 14:22
 */
public final class Constant {
    /**
     * 构造器私有化
     */
    private Constant() {
        // 可抛出异常，防止通过反射实例化对象
    }

    /**
     * 返回结果 success：成功，fail：业务返回的失败，error：非业务异常失败
     */
    public static final String SUCCESS = "success";
    public static final String FAIL = "fail";
    public static final String ERROR = "error";

    /**
     * 常用数值
     */
    public static final Integer ZERO = 0;
    public static final Integer ONE = 1;
    public static final Long MAX_PAGE_SIZE = 100_000L;


    /**
     * 常用字符
     */
    public static final String SPLIT_CLASS = " ";
    public static final String LOG_INFO_PREFIX = "登录异常，异常信息：{}";

    /**
     * 是否
     */
    public static final Byte YES = 1;
    public static final Byte NO = 0;
    public static final Integer YES_INT = 1;

    /**
     * 平台管理员
     */
    public static final String ADMIN = "admin";

    /**
     * 业务标识（kafka使用，区分AI分析结果后用做业务判断）
     */
    public static final String BIZ_ID = "hehuzhang";


    /**
     * 租户ID
     */
    public static final String TENANT_ID="tenant_id";
}
