package com.tuoheng.system.entity;

import com.tuoheng.common.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 部门表
 * </p>
 *
 * @author 拓恒
 * @since 2020-11-03
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("sys_dept")
public class Dept extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 租户id
     */
    private Integer tenantId;

    /**
     * 部门名称
     */
    private String name;

    /**
     * 部门编码
     */
    private String code;

    /**
     * 部门全称
     */
    private String fullname;

    /**
     * 类型：1公司 2子公司 3部门 4小组
     */
    private Integer type;

    /**
     * 上级ID
     */
    private Integer pid;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 备注说明
     */
    private String note;


}
