package com.tuoheng.system.entity;

import com.tuoheng.common.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 通知公告表
 * </p>
 *
 * @author 拓恒
 * @since 2020-11-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("sys_notice")
public class Notice extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 租户id
     */
    private Integer tenantId;

    /**
     * 通知标题
     */
    private String title;


    /**
     * 公告摘要
     */
    private String guide;

    /**
     * 图片
     */
    private String image;

    /**
     * 通知内容
     */
    private String content;

    /**
     * 外部通知地址
     */
    private String url;

    /**
     * 来源：1内部通知 2外部新闻
     */
    private Integer source;

    /**
     * 阅读量
     */
    private Integer browse;

    /**
     * 是否置顶：1是 2否
     */
    private Integer isTop;

    /**
     * 状态：1已发布 2待发布
     */
    private Integer status;


}
