package com.tuoheng.system.mapper;

import com.tuoheng.system.entity.Menu;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * <p>
 * 系统菜单表 Mapper 接口
 * </p>
 *
 * @author 拓恒
 * @since 2020-10-30
 */
public interface MenuMapper extends BaseMapper<Menu> {

    /**
     * 根据用户ID获取权限列表
     *
     * @param userId 用户ID
     * @param pid    上级ID
     * @return
     */
    List<Menu> getPermissionsListByUserId(@RequestParam("userId") Integer userId, @RequestParam("pid") Integer pid);

    /**
     * 获取所有权限
     *
     * @return
     */
    List<Menu> getPermissionsAll();

    /**
     * 获取用户权限节点
     *
     * @param userId 用户ID
     * @return
     */
    List<String> getPermissionList(Integer userId);

}
