package com.tuoheng.system.mapper;

import com.tuoheng.system.entity.Role;
import com.tuoheng.system.entity.UserRole;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 人员角色表 Mapper 接口
 * </p>
 *
 * @author 拓恒
 * @since 2020-10-30
 */
public interface UserRoleMapper extends BaseMapper<UserRole> {

    /**
     * 根据用户ID获取角色
     *
     * @param userId 用户ID
     * @return
     */
    List<Role> getRolesByUserId(Integer userId);

    /**
     * 根据角色获取用户ID
     *
     * @param roleId 角色ID
     * @return
     */
    List<Integer> getUsersByURoleId(@Param("roleId") Integer roleId);

}
